Package com.sun.jna

# Class MethodResultContext

java.lang.Object
com.sun.jna.FromNativeContext
com.sun.jna.FunctionResultContext
com.sun.jna.MethodResultContext

public class MethodResultContext extends FunctionResultContext
Provide result conversion context for a function call that is called via a Library interface.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodResultContext(Class<?> resultClass, Function function, Object[] args, Method method)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Method`
  `getMethod()`

  ### Methods inherited from class com.sun.jna.FunctionResultContext

  `getArguments, getFunction`

  ### Methods inherited from class com.sun.jna.FromNativeContext

  `getTargetType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MethodResultContext

    MethodResultContext(Class<?> resultClass, Function function, Object[] args, Method method)

- ## Method Details

  - ### getMethod

    public Method getMethod()
    Returns:
      The `Method` used to invoke this function call.